ReaderImpl.StripeInformationImpl (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class ReaderImpl.StripeInformationImpl

- java.lang.Object
- - org.apache.orc.impl.ReaderImpl.StripeInformationImpl

- All Implemented Interfaces:
    StripeInformation
  Enclosing class:
    ReaderImpl

      public static class ReaderImpl.StripeInformationImpl
      extends Object
      implements StripeInformation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripeInformationImpl(OrcProto.StripeInformation stripe, long stripeId, long previousOriginalStripeId, byte[][] previousKeys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDataLength()` Get the length of the stripe's data.
    `byte[][]` | `getEncryptedLocalKeys()` Get the encrypted keys starting from this stripe until overridden by a new set in a following stripe.
    `long` | `getEncryptionStripeId()` Get the original stripe id that was used when the stripe was originally written.
    `long` | `getFooterLength()` Get the length of the stripe's tail section, which contains its index.
    `long` | `getIndexLength()` Get the length of the stripe's indexes.
    `long` | `getLength()` Get the total length of the stripe in bytes.
    `long` | `getNumberOfRows()` Get the number of rows in the stripe.
    `long` | `getOffset()` Get the byte offset of the start of the stripe.
    `long` | `getStripeId()` Get the index of this stripe in the current file.
    `boolean` | `hasEncryptionStripeId()` Does this stripe have an explicit encryption stripe id set?
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StripeInformationImpl

          public StripeInformationImpl(OrcProto.StripeInformation stripe,
                                       long stripeId,
                                       long previousOriginalStripeId,
                                       byte[][] previousKeys)

  - ### Method Detail

    - #### getOffset

          public long getOffset()

      Description copied from interface: `StripeInformation`
      Get the byte offset of the start of the stripe.
      Specified by:
        `getOffset` in interface `StripeInformation`
      Returns:
        the bytes from the start of the file

    - #### getLength

          public long getLength()

      Description copied from interface: `StripeInformation`
      Get the total length of the stripe in bytes.
      Specified by:
        `getLength` in interface `StripeInformation`
      Returns:
        the number of bytes in the stripe

    - #### getDataLength

          public long getDataLength()

      Description copied from interface: `StripeInformation`
      Get the length of the stripe's data.
      Specified by:
        `getDataLength` in interface `StripeInformation`
      Returns:
        the number of bytes in the stripe

    - #### getFooterLength

          public long getFooterLength()

      Description copied from interface: `StripeInformation`
      Get the length of the stripe's tail section, which contains its index.
      Specified by:
        `getFooterLength` in interface `StripeInformation`
      Returns:
        the number of bytes in the tail

    - #### getIndexLength

          public long getIndexLength()

      Description copied from interface: `StripeInformation`
      Get the length of the stripe's indexes.
      Specified by:
        `getIndexLength` in interface `StripeInformation`
      Returns:
        the number of bytes in the index

    - #### getNumberOfRows

          public long getNumberOfRows()

      Description copied from interface: `StripeInformation`
      Get the number of rows in the stripe.
      Specified by:
        `getNumberOfRows` in interface `StripeInformation`
      Returns:
        a count of the number of rows

    - #### getStripeId

          public long getStripeId()

      Description copied from interface: `StripeInformation`
      Get the index of this stripe in the current file.
      Specified by:
        `getStripeId` in interface `StripeInformation`
      Returns:
        0 to number_of_stripes - 1

    - #### hasEncryptionStripeId

          public boolean hasEncryptionStripeId()

      Description copied from interface: `StripeInformation`
      Does this stripe have an explicit encryption stripe id set?
      Specified by:
        `hasEncryptionStripeId` in interface `StripeInformation`
      Returns:
        true if this stripe was the first stripe of a merge

    - #### getEncryptionStripeId

          public long getEncryptionStripeId()

      Description copied from interface: `StripeInformation`
      Get the original stripe id that was used when the stripe was originally written. This is only different that getStripeId in merged files.
      Specified by:
        `getEncryptionStripeId` in interface `StripeInformation`
      Returns:
        the original stripe id + 1

    - #### getEncryptedLocalKeys

          public byte[][] getEncryptedLocalKeys()

      Description copied from interface: `StripeInformation`
      Get the encrypted keys starting from this stripe until overridden by a new set in a following stripe. The top level array is one for each encryption variant. Each element is an encrypted key.
      Specified by:
        `getEncryptedLocalKeys` in interface `StripeInformation`
      Returns:
        the array of encrypted keys

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.